#!/bin/bash

tag=1.18.2

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone git://github.com/visionmedia/mocha.git
cd mocha
git archive --prefix="test/" --format=tar tags/${tag}:test/ \
    | bzip2 > "$pwd"/tests-${tag}.tar.bz2
git archive --prefix="support/" --format=tar tags/${tag}:support/ \
    | bzip2 > "$pwd"/support-${tag}.tar.bz2
popd
